## ocaml-doc 3.04-4

=== examples/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::
	@-echo "-- Making all in" asl; cd asl; make all

allopt : opt

opt::
	@-echo "-- Making opt in" asl; cd asl; make opt

clean::
	@-echo "-- Making clean in" asl; cd asl; make clean

makefiles::
	@-echo "-- Making makefiles in" asl; cd asl; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" basics; cd basics; make all

allopt : opt

opt::
	@-echo "-- Making opt in" basics; cd basics; make opt

clean::
	@-echo "-- Making clean in" basics; cd basics; make clean

makefiles::
	@-echo "-- Making makefiles in" basics; cd basics; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" calc; cd calc; make all

allopt : opt

opt::
	@-echo "-- Making opt in" calc; cd calc; make opt

clean::
	@-echo "-- Making clean in" calc; cd calc; make clean

makefiles::
	@-echo "-- Making makefiles in" calc; cd calc; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" camltk; echo "(This program requires the CamlTk library;"; echo " if you haven't installed it, compilation will fail.)"; cd camltk; make all

opt::
	@-echo "-- Making opt in" camltk; echo "(This program requires the CamlTk library compiled to native code;"; echo " if you haven't installed it, compilation will fail.)"; cd camltk; make opt

clean::
	@-echo "-- Making clean in" camltk; cd camltk; make clean

makefiles::
	@-echo "-- Making makefiles in" camltk; cd camltk; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" colwheel; echo "(This program requires the libgraph library;"; echo " if you haven't installed it, compilation will fail.)"; cd colwheel; make all

opt::
	@-echo "-- Making opt in" colwheel; echo "(This program requires the libgraph library compiled to the native code;"; echo " if you haven't installed it, compilation will fail.)"; cd colwheel; make opt

clean::
	@-echo "-- Making clean in" colwheel; cd colwheel; make clean

makefiles::
	@-echo "-- Making makefiles in" colwheel; cd colwheel; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" compress; cd compress; make all

allopt : opt

opt::
	@-echo "-- Making opt in" compress; cd compress; make opt

clean::
	@-echo "-- Making clean in" compress; cd compress; make clean

makefiles::
	@-echo "-- Making makefiles in" compress; cd compress; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" demonstr; cd demonstr; make all

allopt : opt

opt::
	@-echo "-- Making opt in" demonstr; cd demonstr; make opt

clean::
	@-echo "-- Making clean in" demonstr; cd demonstr; make clean

makefiles::
	@-echo "-- Making makefiles in" demonstr; cd demonstr; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" docteur; cd docteur; make all

allopt : opt

opt::
	@-echo "-- Making opt in" docteur; cd docteur; make opt

clean::
	@-echo "-- Making clean in" docteur; cd docteur; make clean

makefiles::
	@-echo "-- Making makefiles in" docteur; cd docteur; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" doctor; cd doctor; make all

allopt : opt

opt::
	@-echo "-- Making opt in" doctor; cd doctor; make opt

clean::
	@-echo "-- Making clean in" doctor; cd doctor; make clean

makefiles::
	@-echo "-- Making makefiles in" doctor; cd doctor; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" grep; cd grep; make all

allopt : opt

opt::
	@-echo "-- Making opt in" grep; cd grep; make opt

clean::
	@-echo "-- Making clean in" grep; cd grep; make clean

makefiles::
	@-echo "-- Making makefiles in" grep; cd grep; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" hanoi; cd hanoi; make all

allopt : opt

opt::
	@-echo "-- Making opt in" hanoi; cd hanoi; make opt

clean::
	@-echo "-- Making clean in" hanoi; cd hanoi; make clean

makefiles::
	@-echo "-- Making makefiles in" hanoi; cd hanoi; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" kb; cd kb; make all

allopt : opt

opt::
	@-echo "-- Making opt in" kb; cd kb; make opt

clean::
	@-echo "-- Making clean in" kb; cd kb; make clean

makefiles::
	@-echo "-- Making makefiles in" kb; cd kb; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" minicaml; cd minicaml; make all

allopt : opt

opt::
	@-echo "-- Making opt in" minicaml; cd minicaml; make opt

clean::
	@-echo "-- Making clean in" minicaml; cd minicaml; make clean

makefiles::
	@-echo "-- Making makefiles in" minicaml; cd minicaml; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" minilogo; echo "(This program requires the libgraph library;"; echo " if you haven't installed it, compilation will fail.)"; cd minilogo; make all

opt::
	@-echo "-- Making opt in" minilogo; echo "(This program requires the libgraph library compiled to the native code;"; echo " if you haven't installed it, compilation will fail.)"; cd minilogo; make opt

clean::
	@-echo "-- Making clean in" minilogo; cd minilogo; make clean

makefiles::
	@-echo "-- Making makefiles in" minilogo; cd minilogo; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" pascal; cd pascal; make all

allopt : opt

opt::
	@-echo "-- Making opt in" pascal; cd pascal; make opt

clean::
	@-echo "-- Making clean in" pascal; cd pascal; make clean

makefiles::
	@-echo "-- Making makefiles in" pascal; cd pascal; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" picomach; cd picomach; make all

allopt : opt

opt::
	@-echo "-- Making opt in" picomach; cd picomach; make opt

clean::
	@-echo "-- Making clean in" picomach; cd picomach; make clean

makefiles::
	@-echo "-- Making makefiles in" picomach; cd picomach; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" showsort; echo "(This program requires the libgraph library;"; echo " if you haven't installed it, compilation will fail.)"; cd showsort; make all

opt::
	@-echo "-- Making opt in" showsort; echo "(This program requires the libgraph library compiled to the native code;"; echo " if you haven't installed it, compilation will fail.)"; cd showsort; make opt

clean::
	@-echo "-- Making clean in" showsort; cd showsort; make clean

makefiles::
	@-echo "-- Making makefiles in" showsort; cd showsort; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" spirals; echo "(This program requires the libgraph library;"; echo " if you haven't installed it, compilation will fail.)"; cd spirals; make all

opt::
	@-echo "-- Making opt in" spirals; echo "(This program requires the libgraph library compiled to the native code;"; echo " if you haven't installed it, compilation will fail.)"; cd spirals; make opt

clean::
	@-echo "-- Making clean in" spirals; cd spirals; make clean

makefiles::
	@-echo "-- Making makefiles in" spirals; cd spirals; make TOP=../$(TOP) makefiles

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

=== examples/asl/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g -pp camlp4o
COMPFLAGSOPT=-pp camlp4o
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::asl

asl: prel.cmo asl.cmo token.cmo parser.cmo semant.cmo typing.cmo main.cmo run.cmo
	$(CAMLC) $(LINKFLAGS)  prel.cmo asl.cmo token.cmo parser.cmo semant.cmo typing.cmo main.cmo run.cmo -o asl

clean::
	$(RM) asl

opt::asl.opt

asl.opt: prel.cmx asl.cmx token.cmx parser.cmx semant.cmx typing.cmx main.cmx run.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  prel.cmx asl.cmx token.cmx parser.cmx semant.cmx typing.cmx main.cmx run.cmx -o asl.opt
	$(CP) asl.opt asl

clean::
	$(RM) asl

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

parser.cmi: token.cmi 
asl.cmo: asl.cmi 
asl.cmx: asl.cmi 
loadall.cmo: main.cmi 
loadall.cmx: main.cmx 
main.cmo: asl.cmi parser.cmi prel.cmi semant.cmo token.cmi typing.cmo \
    main.cmi 
main.cmx: asl.cmx parser.cmx prel.cmx semant.cmx token.cmx typing.cmx \
    main.cmi 
parser.cmo: asl.cmi prel.cmi token.cmi parser.cmi 
parser.cmx: asl.cmx prel.cmx token.cmx parser.cmi 
prel.cmo: prel.cmi 
prel.cmx: prel.cmi 
run.cmo: main.cmi 
run.cmx: main.cmx 
semant.cmo: parser.cmi 
semant.cmx: parser.cmx 
token.cmo: token.cmi 
token.cmx: token.cmi 
typing.cmo: parser.cmi prel.cmi 
typing.cmx: parser.cmx prel.cmx

=== examples/basics/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::hello

hello: hello.cmo
	$(CAMLC) $(LINKFLAGS)  hello.cmo -o hello

clean::
	$(RM) hello

all::greeting

greeting: greeting.cmo
	$(CAMLC) $(LINKFLAGS)  greeting.cmo -o greeting

clean::
	$(RM) greeting

all::square

square: square.cmo
	$(CAMLC) $(LINKFLAGS)  square.cmo -o square

clean::
	$(RM) square

all::fib

fib: fib.cmo
	$(CAMLC) $(LINKFLAGS)  fib.cmo -o fib

clean::
	$(RM) fib

all::wc

wc: wc.cmo
	$(CAMLC) $(LINKFLAGS)  wc.cmo -o wc

clean::
	$(RM) wc

all::wc_unix

wc_unix: wc_unix.cmo
	$(CAMLC) $(LINKFLAGS)  wc_unix.cmo -o wc_unix

clean::
	$(RM) wc_unix

all::sieve

sieve: sieve.cmo
	$(CAMLC) $(LINKFLAGS)  sieve.cmo -o sieve

clean::
	$(RM) sieve

all::queens

queens: queens.cmo
	$(CAMLC) $(LINKFLAGS)  queens.cmo -o queens

clean::
	$(RM) queens

opt::queens.opt

queens.opt: queens.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  queens.cmx -o queens.opt
	$(CP) queens.opt queens

clean::
	$(RM) queens

opt::fib.opt

fib.opt: fib.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  fib.cmx -o fib.opt
	$(CP) fib.opt fib

clean::
	$(RM) fib

opt::wc.opt

wc.opt: wc.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  wc.cmx -o wc.opt
	$(CP) wc.opt wc

clean::
	$(RM) wc

opt::wc_unix.opt

wc_unix.opt: wc_unix.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  wc_unix.cmx -o wc_unix.opt
	$(CP) wc_unix.opt wc_unix

clean::
	$(RM) wc_unix

opt::sieve.opt

sieve.opt: sieve.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  sieve.cmx -o sieve.opt
	$(CP) sieve.opt sieve

clean::
	$(RM) sieve

all::strstr

strstr: strstr.cmo
	$(CAMLC) $(LINKFLAGS)  strstr.cmo -o strstr

clean::
	$(RM) strstr

opt::strstr.opt

strstr.opt: strstr.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  strstr.cmx -o strstr.opt
	$(CP) strstr.opt strstr

clean::
	$(RM) strstr

all::soli

soli: soli.cmo
	$(CAMLC) $(LINKFLAGS)  soli.cmo -o soli

clean::
	$(RM) soli

opt::soli.opt

soli.opt: soli.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  soli.cmx -o soli.opt
	$(CP) soli.opt soli

clean::
	$(RM) soli

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

=== examples/calc/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::calc

calc: lexer.cmo parser.cmo calc.cmo main.cmo
	$(CAMLC) $(LINKFLAGS)  lexer.cmo parser.cmo calc.cmo main.cmo -o calc

clean::
	$(RM) calc

opt::calc.opt

calc.opt: lexer.cmx parser.cmx calc.cmx main.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  lexer.cmx parser.cmx calc.cmx main.cmx -o calc.opt
	$(CP) calc.opt calc

clean::
	$(RM) calc

parser.ml parser.mli: parser.mly
	@$(RM) parser.ml parser.mli
	$(CAMLYACC) parser.mly
	@chmod a-w parser.ml parser.mli

clean::
	$(RM) parser.ml parser.mli

beforedepend:: parser.ml parser.mli

lexer.ml: lexer.mll
	@$(RM) lexer.ml
	$(CAMLLEX) lexer.mll
	@chmod a-w lexer.ml

clean::
	$(RM) lexer.ml

beforedepend:: lexer.ml

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

calc.cmo: lexer.cmo parser.cmi 
calc.cmx: lexer.cmx parser.cmx 
lexer.cmo: parser.cmi 
lexer.cmx: parser.cmx 
loadall.cmo: main.cmo 
loadall.cmx: main.cmx 
main.cmo: calc.cmo 
main.cmx: calc.cmx 
parser.cmo: parser.cmi 
parser.cmx: parser.cmi

=== examples/camltk/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::start

start: start.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  start.cmo -o start

clean::
	$(RM) start

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::start.opt

start.opt: start.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  start.cmx -o start.opt
	$(CP) start.opt start

clean::
	$(RM) start

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::hello

hello: hello.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  hello.cmo -o hello

clean::
	$(RM) hello

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::hello.opt

hello.opt: hello.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  hello.cmx -o hello.opt
	$(CP) hello.opt hello

clean::
	$(RM) hello

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::hello_quit

hello_quit: hello_quit.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  hello_quit.cmo -o hello_quit

clean::
	$(RM) hello_quit

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::hello_quit.opt

hello_quit.opt: hello_quit.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  hello_quit.cmx -o hello_quit.opt
	$(CP) hello_quit.opt hello_quit

clean::
	$(RM) hello_quit

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::addition

addition: addition.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  addition.cmo -o addition

clean::
	$(RM) addition

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::addition.opt

addition.opt: addition.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  addition.cmx -o addition.opt
	$(CP) addition.opt addition

clean::
	$(RM) addition

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::rgb

rgb: rgb.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  rgb.cmo -o rgb

clean::
	$(RM) rgb

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::rgb.opt

rgb.opt: rgb.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  rgb.cmx -o rgb.opt
	$(CP) rgb.opt rgb

clean::
	$(RM) rgb

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::convert_euro

convert_euro: convert_euro.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  convert_euro.cmo -o convert_euro

clean::
	$(RM) convert_euro

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::convert_euro.opt

convert_euro.opt: convert_euro.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  convert_euro.cmx -o convert_euro.opt
	$(CP) convert_euro.opt convert_euro

clean::
	$(RM) convert_euro

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::convert

convert: convert.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  convert.cmo -o convert

clean::
	$(RM) convert

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::convert.opt

convert.opt: convert.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  convert.cmx -o convert.opt
	$(CP) convert.opt convert

clean::
	$(RM) convert

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::camleyes

camleyes: camleyes.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  camleyes.cmo -o camleyes

clean::
	$(RM) camleyes

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::camleyes.opt

camleyes.opt: camleyes.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  camleyes.cmx -o camleyes.opt
	$(CP) camleyes.opt camleyes

clean::
	$(RM) camleyes

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::taquin

taquin: taquin.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  taquin.cmo -o taquin

clean::
	$(RM) taquin

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::taquin.opt

taquin.opt: taquin.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  taquin.cmx -o taquin.opt
	$(CP) taquin.opt taquin

clean::
	$(RM) taquin

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::tetris

tetris: tetris.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  tetris.cmo -o tetris

clean::
	$(RM) tetris

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::tetris.opt

tetris.opt: tetris.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  tetris.cmx -o tetris.opt
	$(CP) tetris.opt tetris

clean::
	$(RM) tetris

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

=== examples/colwheel/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::colwheel

colwheel: colwheel.cmo
	$(CAMLC) $(LINKFLAGS) -custom unix.cma graphics.cma  colwheel.cmo -o colwheel

clean::
	$(RM) colwheel

opt::colwheel.opt

colwheel.opt: colwheel.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) unix.cmxa graphics.cmxa  colwheel.cmx -o colwheel.opt
	$(CP) colwheel.opt colwheel

clean::
	$(RM) colwheel

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

=== examples/compress/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::compr

compr: esbit.cmo fileprio.cmo huffman.cmo compr.cmo
	$(CAMLC) $(LINKFLAGS)  esbit.cmo fileprio.cmo huffman.cmo compr.cmo -o compr

clean::
	$(RM) compr

all::decompr

decompr: esbit.cmo fileprio.cmo huffman.cmo decompr.cmo
	$(CAMLC) $(LINKFLAGS)  esbit.cmo fileprio.cmo huffman.cmo decompr.cmo -o decompr

clean::
	$(RM) decompr

opt::compr.opt

compr.opt: esbit.cmx fileprio.cmx huffman.cmx compr.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  esbit.cmx fileprio.cmx huffman.cmx compr.cmx -o compr.opt
	$(CP) compr.opt compr

clean::
	$(RM) compr

opt::decompr.opt

decompr.opt: esbit.cmx fileprio.cmx huffman.cmx decompr.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  esbit.cmx fileprio.cmx huffman.cmx decompr.cmx -o decompr.opt
	$(CP) decompr.opt decompr

clean::
	$(RM) decompr

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

compr.cmo: huffman.cmi 
compr.cmx: huffman.cmx 
decompr.cmo: huffman.cmi 
decompr.cmx: huffman.cmx 
esbit.cmo: esbit.cmi 
esbit.cmx: esbit.cmi 
fileprio.cmo: fileprio.cmi 
fileprio.cmx: fileprio.cmi 
huffman.cmo: esbit.cmi fileprio.cmi huffman.cmi 
huffman.cmx: esbit.cmx fileprio.cmx huffman.cmi 
loadall.cmo: compr.cmo 
loadall.cmx: compr.cmx

=== examples/demonstr/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g -pp camlp4o
COMPFLAGSOPT=-pp camlp4o
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::demonstr

demonstr: prop.cmo lexuniv.cmo asynt.cmo demo.cmo
	$(CAMLC) $(LINKFLAGS)  prop.cmo lexuniv.cmo asynt.cmo demo.cmo -o demonstr

clean::
	$(RM) demonstr

opt::demonstr.opt

demonstr.opt: prop.cmx lexuniv.cmx asynt.cmx demo.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  prop.cmx lexuniv.cmx asynt.cmx demo.cmx -o demonstr.opt
	$(CP) demonstr.opt demonstr

clean::
	$(RM) demonstr

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

asynt.cmi: prop.cmi 
asynt.cmo: lexuniv.cmi prop.cmi asynt.cmi 
asynt.cmx: lexuniv.cmx prop.cmx asynt.cmi 
demo.cmo: asynt.cmi prop.cmi 
demo.cmx: asynt.cmx prop.cmx 
lexuniv.cmo: lexuniv.cmi 
lexuniv.cmx: lexuniv.cmi 
loadall.cmo: demo.cmo 
loadall.cmx: demo.cmx 
prop.cmo: prop.cmi 
prop.cmx: prop.cmi

=== examples/docteur/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::docteur

docteur: docteur.cmo
	$(CAMLC) $(LINKFLAGS)  docteur.cmo -o docteur

clean::
	$(RM) docteur

opt::docteur.opt

docteur.opt: docteur.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  docteur.cmx -o docteur.opt
	$(CP) docteur.opt docteur

clean::
	$(RM) docteur

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

=== examples/doctor/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::doctor

doctor: doctor.cmo
	$(CAMLC) $(LINKFLAGS)  doctor.cmo -o doctor

clean::
	$(RM) doctor

opt::doctor.opt

doctor.opt: doctor.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  doctor.cmx -o doctor.opt
	$(CP) doctor.opt doctor

clean::
	$(RM) doctor

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

=== examples/grep/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g -pp camlp4o
COMPFLAGSOPT=-pp camlp4o
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::grep

grep: expr.cmo auto.cmo ensent.cmo determ.cmo grep.cmo
	$(CAMLC) $(LINKFLAGS)  expr.cmo auto.cmo ensent.cmo determ.cmo grep.cmo -o grep

clean::
	$(RM) grep

opt::fastgrep.opt

fastgrep.opt: expr.cmx auto.cmx ensent.cmx determ.cmx grep.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  expr.cmx auto.cmx ensent.cmx determ.cmx grep.cmx -o fastgrep.opt
	$(CP) fastgrep.opt fastgrep

clean::
	$(RM) fastgrep

all::cfastgrep

cfastgrep: expr.cmo auto.cmo ensent.cmo determ.cmo fastgrep.cmo fastrec.o
	$(CAMLC) $(LINKFLAGS) -custom  expr.cmo auto.cmo ensent.cmo determ.cmo fastgrep.cmo fastrec.o -o cfastgrep

clean::
	$(RM) cfastgrep

fastrec.o: fastrec.c
	$(CAMLC) -c -I $(LIBDIR)/caml fastrec.c

clean::
	rm -f fastrec.o

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

auto.cmi: expr.cmi 
determ.cmi: auto.cmi 
fastrec.cmi: determ.cmi 
auto.cmo: expr.cmi auto.cmi 
auto.cmx: expr.cmx auto.cmi 
determ.cmo: auto.cmi ensent.cmi determ.cmi 
determ.cmx: auto.cmx ensent.cmx determ.cmi 
ensent.cmo: ensent.cmi 
ensent.cmx: ensent.cmi 
expr.cmo: expr.cmi 
expr.cmx: expr.cmi 
fastgrep.cmo: auto.cmi determ.cmi expr.cmi fastrec.cmi 
fastgrep.cmx: auto.cmx determ.cmx expr.cmx fastrec.cmi 
grep.cmo: auto.cmi determ.cmi expr.cmi 
grep.cmx: auto.cmx determ.cmx expr.cmx 
loadall.cmo: auto.cmi determ.cmi ensent.cmi expr.cmi grep.cmo 
loadall.cmx: auto.cmx determ.cmx ensent.cmx expr.cmx grep.cmx

=== examples/hanoi/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::hanoi

hanoi: hanoi.cmo
	$(CAMLC) $(LINKFLAGS)  hanoi.cmo -o hanoi

clean::
	$(RM) hanoi

opt::hanoi.opt

hanoi.opt: hanoi.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  hanoi.cmx -o hanoi.opt
	$(CP) hanoi.opt hanoi

clean::
	$(RM) hanoi

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

## ocaml-doc 2.04-2

=== debian/changelog ===
ocaml-doc (2.04-2) frozen unstable; urgency=low

  * frozen upload.
  * fixed some lintian warnings.

 -- Sven LUTHER <luther@debian.org>  Fri,  4 Feb 2000 16:54:36 +0100

ocaml-doc (2.04-1) unstable; urgency=low

  * Fix bug #53521.
  * New upstream release.

 -- Sven LUTHER <luther@debian.org>  Wed, 26 Jan 2000 15:14:04 +0100

ocaml-doc (2.03-1) unstable; urgency=low

  * New upstream release.
  * ocaml license change, can go in main now.

 -- Sven LUTHER <luther@debian.org>  Mon, 22 Nov 1999 16:44:03 +0100

ocaml-doc (2.02-2) unstable; urgency=low

  * Changed architecture from any to all, as should be.

 -- Sven LUTHER <luther@debian.org>  Mon, 18 Oct 1999 18:24:45 +0200

ocaml-doc (2.02-1) unstable; urgency=low

  * Initial Release.

 -- Sven LUTHER <luther@debian.org>  Sat,  9 Oct 1999 13:24:05 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ocaml-doc
Section: doc
Priority: optional
Maintainer: Sven LUTHER <luther@debian.org>
Standards-Version: 2.5.1

Package: ocaml-doc
Architecture: all
Depends: ${shlibs:Depends}
Description: Documentation for Objective Caml
 This package contains documentation for Objective Caml
 in html, info, dvi, pdf ans ps format.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo ocaml.info/*
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ocaml-doc 3.04-4

=== debian/changelog ===
ocaml-doc (3.04-4) unstable; urgency=low

  * New debian maintainer
  * Split doc-base file
  * Move to non-free
  * Change the copyright file to the copyright of the documentation
  * remove FAQs (their license prohibit their redistribution)
  * corrected the examples

 -- Vanicat Rmi <vanicat@labri.fr>  Tue,  5 Feb 2002 10:51:43 +0100

ocaml-doc (3.04-3) unstable; urgency=low

  * Fixed bad doc-base entry for examples.html. (Closes:#132410)

 -- Sven Luther <luther@debian.org>  Tue,  5 Feb 2002 10:51:43 +0100

ocaml-doc (3.04-2) unstable; urgency=low

  * Moved documentation to /usr/share/doc/ocaml
  * Added camlp4 documentation. (Closes:#128405)
  * Added a symlink from /usr/share/doc/ocaml-doc/docs to
    /usr/share/doc/ocaml/docs.
  * Added ocaml example programs.
  * Added ocaml faq.

 -- Sven Luther <luther@debian.org>  Mon,  4 Feb 2002 11:07:04 +0100

ocaml-doc (3.04-1) unstable; urgency=low

  * New upstream release of ocaml.

 -- Sven Luther <luther@debian.org>  Thu, 20 Dec 2001 09:56:26 +0100

ocaml-doc (3.02-1) unstable; urgency=low

  * New upstream release of ocaml.

 -- Sven Luther <luther@debian.org>  Mon, 30 Jul 2001 19:04:20 +0200

ocaml-doc (3.01a-2) unstable; urgency=low

  * Changed the doc-base stuff to say 3.01 instead of 3.00.

 -- Sven Luther <luther@debian.org>  Wed, 18 Apr 2001 17:29:54 +0200

ocaml-doc (3.01a-1) unstable; urgency=low

  * Added the enhanced documentation from Hendrik Tews.

 -- Sven Luther <luther@debian.org>  Thu, 15 Mar 2001 11:27:03 +0100

ocaml-doc (3.01-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Thu, 15 Mar 2001 10:27:03 +0100

ocaml-doc (3.00-2) unstable; urgency=low

  * Added doc-base stuff. CLOSES:BUG#66768
  * Upgraded latest Standards-Version.

 -- Sven Luther <luther@debian.org>  Tue, 16 Jan 2001 14:20:52 +0100

ocaml-doc (3.00-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Thu, 27 Apr 2000 17:06:22 +0200

ocaml3-doc (2.99-1) unstable; urgency=low

  * New upstream release. This is the doc for the beta version of ocaml.

 -- Sven Luther <luther@debian.org>  Mon,  6 Mar 2000 13:58:31 +0100

=== debian/control ===
Source: ocaml-doc
Section: non-free/doc
Priority: optional
Maintainer: Vanicat Rmi <vanicat@labri.fr>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ocaml-doc
Architecture: all
Suggests: ocaml
Description: Documentation for Objective Caml and Camlp4
 This package contains documentation for Objective Caml
 in html, info, dvi, pdf, ps and plain text format as well as
 documentation and a tutorial for Camlp4 in html, dvi and ps format.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/ocaml-doc.sgml > ocaml-doc.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ocaml-doc.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/ocaml-doc
	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	for i in `cat debian/docs` ; do				\
		mv $(CURDIR)/debian/ocaml-doc/usr/share/doc/ocaml-doc/$$i	\
			$(CURDIR)/debian/ocaml-doc/usr/share/doc/ocaml/docs;	\
	done
	ln -sf ../ocaml/docs $(CURDIR)/debian/ocaml-doc/usr/share/doc/ocaml-doc/docs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
